GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Log::MapElitesArchiveLogger Class Reference

MapElitesArchive logger that will display some useful information. More...

`#include <mapElitesArchiveLogger.h>`

Inheritance diagram for Log::MapElitesArchiveLogger:

## Public Member Functions
| MapElitesArchiveLogger (const Selector::MapElites::MapElitesArchive &archive, Learn::LearningAgent &la, std::ostream &out=std::cout)
| Same constructor as LaLogger. Default output is cout.
virtual void | logHeader () override
| Logs the header (column names) of the csv archive.
virtual void | logNewGeneration (uint64_t &generationNumber) override
| Logs the generation of training.
virtual void | logEndOfTraining () override
| Logs the values of the archive.
Public Member Functions inherited from Log::LALogger
| LALogger (Learn::LearningAgent &la, std::ostream &out=std::cout)
| Constructor defining a given output and setting start and checkpoint as now. Default output is cout.
void | chronoFromNow ()
| Updates checkpoint to now.
virtual void | logAfterPopulateTPG ()
| Method called by the Learning Agent right after PopulateTPG is done.
virtual void | logAfterEvaluate (std::multimap< std::shared_ptr< Learn::EvaluationResult >, const TPG::TPGVertex * > &results)
| Method called by the Learning Agent right after the evaluation is done.
virtual void | logAfterDecimate ()
| Method called by the Learning Agent right after the decimation is done.
virtual void | logAfterValidate (std::multimap< std::shared_ptr< Learn::EvaluationResult >, const TPG::TPGVertex * > &results)
| Method called by the Learning Agent right after the validation is done.
Public Member Functions inherited from Log::Logger
| Logger (std::ostream &out=std::cout)
| Constructor initializing a specific output. Default is cout.
virtual | ~Logger ()=default
| Virtual default destructor for polyphormism support.
Logger | operator<< (std::ostream &(*manip)(std::ostream &))
| << operator to manipulate stream and enter stream-specific elements (like std::endl).
template<typename T >
Logger | operator<< (const T &val)
| << operator allowing to log elements that ostream actually accepts (char, int...).

## Protected Attributes
const Selector::MapElites::MapElitesArchive & | archive
| archive of the mapElitesSelector
bool | firstGenerationEnded = false
| If first generation if finished or not.
Protected Attributes inherited from Log::LALogger
std::shared_ptr< std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > > const | start
std::shared_ptr< std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > > | checkpoint
double | mutationTime = 0
double | evalTime = 0
double | validTime = 0
double | decimationTime = 0
Learn::LearningAgent & | learningAgent
| LearningAgent logged by the LALogger.

## Additional Inherited Members
Public Attributes inherited from Log::LALogger
bool | doValidation = false
bool | useUtility = false
Protected Member Functions inherited from Log::LALogger
double | getDurationFrom (const std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > &begin) const
| Computes the duration from a given time to now.
std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > | getTime () const
| Gets the current time value, for example to set checkpoint.

## Detailed Description

MapElitesArchive logger that will display some useful information.

## Constructor & Destructor Documentation

## ◆ MapElitesArchiveLogger()

Log::MapElitesArchiveLogger::MapElitesArchiveLogger | ( | const Selector::MapElites::MapElitesArchive & | archive,
|  | Learn::LearningAgent & | la,
|  | std::ostream & | out = std::cout )
| inline explicit

Same constructor as LaLogger. Default output is cout.

Parameters

  [in] | archive | archive of a mapElitesSelector whose information will be logger by the logger
  [in] | la | LearningAgent whose information will be logged by the LABasicLogger.
  [in] | out | The output stream the logger will send elements to.

## Member Function Documentation

## ◆ logEndOfTraining()

void Log::MapElitesArchiveLogger::logEndOfTraining | ( |  | ) |
| override virtual

Logs the values of the archive.

Inherited via LaLogger

Reimplemented from Log::LALogger.

## ◆ logHeader()

void Log::MapElitesArchiveLogger::logHeader | ( |  | ) |
| override virtual

Logs the header (column names) of the csv archive.

Inherited via LaLogger

Copyright or © or Copr. IETR/INSA - Rennes (2020 - 2025) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2020 - 2022) Pierre-Yves Le Rolland-Raumer plero.nosp@m.lla@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2020) Quentin Vacher qvach.nosp@m.er@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2025)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

Reimplemented from Log::LALogger.

## ◆ logNewGeneration()

void Log::MapElitesArchiveLogger::logNewGeneration | ( | uint64_t & | generationNumber | ) |
| override virtual

Logs the generation of training.

Inherited via LALogger.

Parameters

  [in] | generationNumber | The number of the current generation.

Reimplemented from Log::LALogger.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/log/mapElitesArchiveLogger.h
- D:/a/gegelati/gegelati/gegelatilib/src/log/mapElitesArchiveLogger.cpp